[Security Announce] [ MDKSA-2007:017 ] - Updated wget packages fix ftp vulnerability
Posted on: 01/16/2007 04:05 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2007:017
http://www.mandriva.com/security/
_______________________________________________________________________

Package : wget
Date : January 15, 2007
Affected: 2006.0, 2007.0, Corporate 3.0, Corporate 4.0,
Multi Network Firewall 2.0
_______________________________________________________________________

Problem Description:

The ftp_syst function in ftp-basic.c in Free Software Foundation (FSF)
GNU wget 1.10.2 allows remote attackers to cause a denial of service
(application crash) via a malicious FTP server with a large number of
blank 220 responses to the SYST command.

The updated packages have been patched to correct this problem.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6719
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2006.0:
8f5fbe5fa003b203c5be4f65c72eafef 2006.0/i586/wget-1.10-1.2.20060mdk.i586.rpm
7bbe865186503532dc5fa194240167c0 2006.0/SRPMS/wget-1.10-1.2.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
a70b537b39d5397cb142b20bba55b6f5 2006.0/x86_64/wget-1.10-1.2.20060mdk.x86_64.rpm
7bbe865186503532dc5fa194240167c0 2006.0/SRPMS/wget-1.10-1.2.20060mdk.src.rpm

Mandriva Linux 2007.0:
c6331e96c0180a6fb364c4dd0d824bad 2007.0/i586/wget-1.10.2-3.1mdv2007.0.i586.rpm
53d0cfe5e83b5126d89963611dbe0196 2007.0/SRPMS/wget-1.10.2-3.1mdv2007.0.src.rpm

Mandriva Linux 2007.0/X86_64:
b7826d019cb0bd54c8f59007566db782 2007.0/x86_64/wget-1.10.2-3.1mdv2007.0.x86_64.rpm
53d0cfe5e83b5126d89963611dbe0196 2007.0/SRPMS/wget-1.10.2-3.1mdv2007.0.src.rpm

Corporate 3.0:
485d33aa6d44eedd9ae0fa41e6e1159d corporate/3.0/i586/wget-1.9.1-4.4.C30mdk.i586.rpm
6765dc9c586b7520a87e619095475a9b corporate/3.0/SRPMS/wget-1.9.1-4.4.C30mdk.src.rpm

Corporate 3.0/X86_64:
4c64e7dfc485a04c4fd38d6f492d7e34 corporate/3.0/x86_64/wget-1.9.1-4.4.C30mdk.x86_64.rpm
6765dc9c586b7520a87e619095475a9b corporate/3.0/SRPMS/wget-1.9.1-4.4.C30mdk.src.rpm

Corporate 4.0:
8050181ba71182203403e7d3b12b7922 corporate/4.0/i586/wget-1.10-1.2.20060mlcs4.i586.rpm
730e722809170908e017844728f87c86 corporate/4.0/SRPMS/wget-1.10-1.2.20060mlcs4.src.rpm

Corporate 4.0/X86_64:
0be58a7ab8d999489b311fa12bf2e5d4 corporate/4.0/x86_64/wget-1.10-1.2.20060mlcs4.x86_64.rpm
730e722809170908e017844728f87c86 corporate/4.0/SRPMS/wget-1.10-1.2.20060mlcs4.src.rpm

Multi Network Firewall 2.0:
31945b27c8a8777a7c2c55bbf12eff73 mnf/2.0/i586/wget-1.9.1-4.4.M20mdk.i586.rpm
6c94e26ee057c849a1a4f01b6777f818 mnf/2.0/SRPMS/wget-1.9.1-4.4.M20mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFq/x+mqjQ0CJFipgRAnAiAJ47ZEJJrBiYZ74Z5I8nRNQjrRWj2wCfbSH1
FdqJ7ySHKajIZHxZqVbozx8=
=DZk/
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2007017__updated_wget_packages_fix_ftp_vulnerability.html)